​

Get list of select values

GET
https://example.kaiten.ru/api/latest/company/custom-properties/{property_id}/select-values

Returns custom property select values. Before October 1, 2026, omitting limit and offset returns the complete list. Starting on that date, responses are always paginated with a default and maximum limit of 100.

Path parameters
NameTypeReference
property_idrequiredintegerCustomProperty ID
Query
NameTypeConstraintsDescription
v2_select_searchbooleanDeprecated parameter with no effect
querystringFilter by select value
order_bystringField to sort by
idsarrayArray of IDs to filter by
conditionsarrayArray of conditions to filter by
offsetintegerNumber of values to skip
limitintegerMaximum: 100; default starting October 1, 2026: 100Maximum number of values in the response
Responses

200
DescriptionResponse typeExample
SuccessArray of object
Open
Response Attributes
NameTypeDescription
id

integer

Select option id
custom_property_id

integer

Custom property id
value

string

Select option value
color

integer

Color number
condition

string

Custom property select value condition
sort_order

number

Position
external_id

null | string

External id
updated

string

Last update timestamp
401
DescriptionResponse typeExample
Invalid tokenString
Open
403
DescriptionResponse typeExample
ForbidenResponse body does not exist
404
DescriptionResponse typeExample
Not foundObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-properties/{property_id}/select-values' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!